Yii2. Ошибка «You should configure «authManager» component to use database before executing this migration»

Главная  >>  Backend  >>  Yii2. Ошибка «You should configure «authManager» component to use database before executing this migration»

При попытке реализовать миграцию у многих возникает ошибка «You should configure «authManager» component to use database before executing this migration». Она говорит нам о том, что следует сначала заполнить конфигурационный файл.

Суть в том, что во многих мануалах по настройке RBAC сказано просто «укажите authManager в конфиге компонентов», но при этом упускается необходимость заполнения этого параметра и в /config/web.php и в /config/console.php.

Таким образом, просто добавьте в файле /config/console.php следующие строки: